import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router'
import HomeView from '../views/HomeView.vue'

const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/about',
    name: 'about',
    component: () => import('../views/AboutView.vue')
  },
  {
    path: '/rescueCalculation',
    name: 'rescueCalculation',
    component: () => import('@/views/rescueCalculation/RescueCalculation.vue')
  },
  {
    path: '/infoFill',
    name: 'infoFill',
    component: () => import('@/views/rescueCalculation/InfoFill.vue')
  },
  {
    path: '/results',
    name: 'results',
    component: () => import('@/views/rescueCalculation/Results.vue')
  },
  {
    path: '/policyQuery',
    name: 'policyQuery',
    component: () => import('@/views/policy/policyQuery.vue')
  },
  {
    path: '/policyDetail',
    name: 'policyDetail',
    component: () => import('@/views/policy/policyDetail.vue')
  },
  {
    path: '/bailoutQuery',
    name: 'bailoutQuery',
    component: () => import('@/views/myBailout/BailoutQuery.vue')
  },
  {
    path: '/difficult',
    name: 'difficult',
    component: () => import('@/views/rescueCalculation/difficult.vue')
  }

]

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes
})

export default router
